Index: cpukit/libnetworking/Makefile.am
===================================================================
--- cpukit/libnetworking/Makefile.am	(revision 187a0744042960f4306d691ebfef3c3e3cdd3470)
+++ cpukit/libnetworking/Makefile.am	(revision 7e6f2350eaa33d1a30f25a252b094c91569772f6)
@@ -150,4 +150,5 @@
 include_rtems_HEADERS += rtems/mkrootfs.h
 include_rtems_HEADERS += rtems/rtems_mii_ioctl.h
+include_rtems_HEADERS += rtems/rtems_netdb.h
 
 libnetworking_a_SOURCES += rtems/sghostname.c \
Index: cpukit/libnetworking/libc/gethostbydns.c
===================================================================
--- cpukit/libnetworking/libc/gethostbydns.c	(revision 187a0744042960f4306d691ebfef3c3e3cdd3470)
+++ cpukit/libnetworking/libc/gethostbydns.c	(revision 7e6f2350eaa33d1a30f25a252b094c91569772f6)
@@ -74,4 +74,5 @@
 #endif
 #include <netdb.h>
+#include <rtems/rtems_netdb.h>
 #include <resolv.h>
 #include <ctype.h>
Index: cpukit/libnetworking/libc/gethostbyht.c
===================================================================
--- cpukit/libnetworking/libc/gethostbyht.c	(revision 187a0744042960f4306d691ebfef3c3e3cdd3470)
+++ cpukit/libnetworking/libc/gethostbyht.c	(revision 7e6f2350eaa33d1a30f25a252b094c91569772f6)
@@ -61,4 +61,5 @@
 #include <arpa/inet.h>
 #include <netdb.h>
+#include <rtems/rtems_netdb.h>
 #include <stdio.h>
 #include <stdlib.h> /* realloc, malloc, free */
Index: cpukit/libnetworking/libc/gethostbynis.c
===================================================================
--- cpukit/libnetworking/libc/gethostbynis.c	(revision 187a0744042960f4306d691ebfef3c3e3cdd3470)
+++ cpukit/libnetworking/libc/gethostbynis.c	(revision 7e6f2350eaa33d1a30f25a252b094c91569772f6)
@@ -33,4 +33,5 @@
 #include <arpa/inet.h>
 #include <netdb.h>
+#include <rtems/rtems_netdb.h>
 #include <stdio.h>
 #include <stdlib.h>
Index: cpukit/libnetworking/libc/gethostnamadr.c
===================================================================
--- cpukit/libnetworking/libc/gethostnamadr.c	(revision 187a0744042960f4306d691ebfef3c3e3cdd3470)
+++ cpukit/libnetworking/libc/gethostnamadr.c	(revision 7e6f2350eaa33d1a30f25a252b094c91569772f6)
@@ -33,4 +33,5 @@
 #include <arpa/inet.h>
 #include <netdb.h>
+#include <rtems/rtems_netdb.h>
 #include <stdio.h>
 #include <ctype.h>
Index: cpukit/libnetworking/libc/getnetbydns.c
===================================================================
--- cpukit/libnetworking/libc/getnetbydns.c	(revision 187a0744042960f4306d691ebfef3c3e3cdd3470)
+++ cpukit/libnetworking/libc/getnetbydns.c	(revision 7e6f2350eaa33d1a30f25a252b094c91569772f6)
@@ -71,4 +71,5 @@
 #include <stdio.h>
 #include <netdb.h>
+#include <rtems/rtems_netdb.h>
 #include <resolv.h>
 #include <ctype.h>
Index: cpukit/libnetworking/libc/getnetbyht.c
===================================================================
--- cpukit/libnetworking/libc/getnetbyht.c	(revision 187a0744042960f4306d691ebfef3c3e3cdd3470)
+++ cpukit/libnetworking/libc/getnetbyht.c	(revision 7e6f2350eaa33d1a30f25a252b094c91569772f6)
@@ -52,4 +52,5 @@
 #include <arpa/nameser.h>
 #include <netdb.h>
+#include <rtems/rtems_netdb.h>
 #include <stdio.h>
 #include <string.h>
Index: cpukit/libnetworking/libc/getnetbynis.c
===================================================================
--- cpukit/libnetworking/libc/getnetbynis.c	(revision 187a0744042960f4306d691ebfef3c3e3cdd3470)
+++ cpukit/libnetworking/libc/getnetbynis.c	(revision 7e6f2350eaa33d1a30f25a252b094c91569772f6)
@@ -33,4 +33,5 @@
 #include <arpa/inet.h>
 #include <netdb.h>
+#include <rtems/rtems_netdb.h>
 #include <stdio.h>
 #include <stdlib.h>
Index: cpukit/libnetworking/libc/getnetnamadr.c
===================================================================
--- cpukit/libnetworking/libc/getnetnamadr.c	(revision 187a0744042960f4306d691ebfef3c3e3cdd3470)
+++ cpukit/libnetworking/libc/getnetnamadr.c	(revision 7e6f2350eaa33d1a30f25a252b094c91569772f6)
@@ -33,4 +33,5 @@
 #include <arpa/inet.h>
 #include <netdb.h>
+#include <rtems/rtems_netdb.h>
 #include <stdio.h>
 #include <ctype.h>
Index: cpukit/libnetworking/libc/map_v4v6.c
===================================================================
--- cpukit/libnetworking/libc/map_v4v6.c	(revision 187a0744042960f4306d691ebfef3c3e3cdd3470)
+++ cpukit/libnetworking/libc/map_v4v6.c	(revision 7e6f2350eaa33d1a30f25a252b094c91569772f6)
@@ -68,4 +68,5 @@
 #include <string.h>
 #include <netdb.h>
+#include <rtems/rtems_netdb.h>
 #include <resolv.h>
 #include <ctype.h>
Index: cpukit/libnetworking/netdb.h
===================================================================
--- cpukit/libnetworking/netdb.h	(revision 187a0744042960f4306d691ebfef3c3e3cdd3470)
+++ cpukit/libnetworking/netdb.h	(revision 7e6f2350eaa33d1a30f25a252b094c91569772f6)
@@ -169,26 +169,4 @@
 
 /* DO NOT USE THESE, THEY ARE SUBJECT TO CHANGE AND ARE NOT PORTABLE!!! */
-void	_sethosthtent(int);
-void	_endhosthtent(void);
-void	_sethostdnsent(int);
-void	_endhostdnsent(void);
-void	_setnethtent(int);
-void	_endnethtent(void);
-void	_setnetdnsent(int);
-void	_endnetdnsent(void);
-struct hostent * _gethostbyhtname(const char *, int);
-struct hostent * _gethostbydnsname(const char *, int);
-struct hostent * _gethostbynisname(const char *, int);
-struct hostent * _gethostbyhtaddr (const char *, int, int);
-struct hostent * _gethostbydnsaddr(const char *, int, int);
-struct hostent * _gethostbynisaddr(const char *, int, int);
-struct netent *  _getnetbyhtname (const char *);
-struct netent *  _getnetbydnsname(const char *);
-struct netent *  _getnetbynisname(const char *);
-struct netent *  _getnetbyhtaddr (unsigned long, int);
-struct netent *  _getnetbydnsaddr(unsigned long, int);
-struct netent *  _getnetbynisaddr(unsigned long, int);
-void _map_v4v6_address(const char *, char *);
-void _map_v4v6_hostent(struct hostent *, char **, int *len);
 __END_DECLS
 
Index: cpukit/libnetworking/preinstall.am
===================================================================
--- cpukit/libnetworking/preinstall.am	(revision 187a0744042960f4306d691ebfef3c3e3cdd3470)
+++ cpukit/libnetworking/preinstall.am	(revision 7e6f2350eaa33d1a30f25a252b094c91569772f6)
@@ -311,4 +311,8 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/rtems_mii_ioctl.h
 
+$(PROJECT_INCLUDE)/rtems/rtems_netdb.h: rtems/rtems_netdb.h $(PROJECT_INCLUDE)/rtems/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/rtems/rtems_netdb.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/rtems_netdb.h
+
 $(PROJECT_INCLUDE)/sys/$(dirstamp):
 	@$(MKDIR_P) $(PROJECT_INCLUDE)/sys
Index: cpukit/libnetworking/rtems/rtems_netdb.h
===================================================================
--- cpukit/libnetworking/rtems/rtems_netdb.h	(revision 7e6f2350eaa33d1a30f25a252b094c91569772f6)
+++ cpukit/libnetworking/rtems/rtems_netdb.h	(revision 7e6f2350eaa33d1a30f25a252b094c91569772f6)
@@ -0,0 +1,52 @@
+/*
+ * Copyright (c) 2016 embedded brains GmbH.  All rights reserved.
+ *
+ *  embedded brains GmbH
+ *  Dornierstr. 4
+ *  82178 Puchheim
+ *  Germany
+ *  <rtems@embedded-brains.de>
+ *
+ * The license and distribution terms for this file may be
+ * found in the file LICENSE in this distribution or at
+ * http://www.rtems.org/license/LICENSE.
+ */
+
+#ifndef _RTEMS_RTEMS_NETDB_H
+#define _RTEMS_RTEMS_NETDB_H
+
+#include <netdb.h>
+
+#ifdef __cplusplus
+extern "C" {
+#endif /* __cplusplus */
+
+/* DO NOT USE THESE, THEY ARE SUBJECT TO CHANGE AND ARE NOT PORTABLE!!! */
+void	_sethosthtent(int);
+void	_endhosthtent(void);
+void	_sethostdnsent(int);
+void	_endhostdnsent(void);
+void	_setnethtent(int);
+void	_endnethtent(void);
+void	_setnetdnsent(int);
+void	_endnetdnsent(void);
+struct hostent * _gethostbyhtname(const char *, int);
+struct hostent * _gethostbydnsname(const char *, int);
+struct hostent * _gethostbynisname(const char *, int);
+struct hostent * _gethostbyhtaddr (const char *, int, int);
+struct hostent * _gethostbydnsaddr(const char *, int, int);
+struct hostent * _gethostbynisaddr(const char *, int, int);
+struct netent *  _getnetbyhtname (const char *);
+struct netent *  _getnetbydnsname(const char *);
+struct netent *  _getnetbynisname(const char *);
+struct netent *  _getnetbyhtaddr (unsigned long, int);
+struct netent *  _getnetbydnsaddr(unsigned long, int);
+struct netent *  _getnetbynisaddr(unsigned long, int);
+void _map_v4v6_address(const char *, char *);
+void _map_v4v6_hostent(struct hostent *, char **, int *len);
+
+#ifdef __cplusplus
+}
+#endif /* __cplusplus */
+
+#endif /* _RTEMS_RTEMS_NETDB_H */
